Module jdk.jdi
Package com.sun.jdi

## Class InternalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jdi.InternalException

All Implemented Interfaces:
  `Serializable`

    public class InternalException
    extends RuntimeException

Thrown to indicate that an unexpected internal error has occurred.

Since:
  1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
`InternalException()`
`InternalException​(int errorCode)`
`InternalException​(String s)`
`InternalException​(String s, int errorCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `errorCode()`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InternalException

    public InternalException()

#### InternalException

    public InternalException​(String s)

#### InternalException

    public InternalException​(int errorCode)

#### InternalException

    public InternalException​(String s,
                             int errorCode)

### Method Detail

#### errorCode

    public int errorCode()